<?php
/**
 * The template part for displaying services
 *
 * @package The WP Business
 * @subpackage the_wp_business
 * @since The WP Business 1.0
 */
?>

<div class="postbox smallpostimage">
  <?php
    if ( ! is_single() ) {

      // If not a single post, highlight the gallery.
      if ( get_post_gallery() ) {
        echo '<div class="entry-gallery">';
          echo ( get_post_gallery() );
        echo '</div>';
      };

    };
  ?>
  <div class="clearfix"></div>
  <div class="row">
    <div class="col-md-2 col-sm-2">
        <div class="datebox">
            <div class="date-monthwrap">
               <span class="date-month"><?php echo esc_html( get_the_date( 'M' ) ); ?></span>
               <span class="date-day"><?php echo esc_html( get_the_date( 'd') ); ?></span>
            </div>
            <div class="yearwrap">
                <span class="date-year"><?php echo esc_html( get_the_date( 'Y' ) ); ?></span>
            </div>
        </div>
    </div>
    <div class="col-md-10 col-sm-10">
        <h4><?php the_title();?></h4>           
        <p><?php the_excerpt(); ?></p>
        <div class="metabox">
            <span class="entry-date"><?php the_date(); ?></span>
            <span class="entry-author"> <?php the_author(); ?></span>
            <span class="entry-comments"> <?php comments_number( __('0 Comments','the-wp-business'), __('0 Comments','the-wp-business'), __('% Comments','the-wp-business') ); ?></span>
        </div>
        <a href="<?php echo esc_url( get_permalink() );?>" class="blogbutton-small hvr-sweep-to-right" title="<?php esc_attr_e( 'Read Full', 'the-wp-business' ); ?>"><?php esc_html_e('Read Full','the-wp-business'); ?></a>
    </div>
    <div class="clearfix"></div>
  </div>
</div>